Subject: Re: B20.1: make doesn't work - not LF problem
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 6 Jun 2000 16:16:12 +0000

Thanks for the advice. I have cleaned up the registry, uninstalled cygwin
and perfomed a new installation (using cygwin-1.1.1.tar.gz) , this time using
the setup.exe program.

Unfortunately my problem remains.

I believe you're right about it being a setup problem, unfortunately I haven't
a clue what it might be.I have tried using the old GNU 3.75 make.exe (which
previously ran with b20), and it has the same problem.

FYI: I'm using make on a Java project. If I can't resolve the problem with the cygwin
make I can always resort to nmake. However it's nicer to use GNU than MS!

Ian

PS: New results from cygcheck:

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Tue Jun  6 15:57:24 2000

WinNT Ver 4.0 build 1381 Service Pack 3

Path:   /usr/bin
        /usr/bin

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

HOME = `/e/'
MAKE_MODE = `unix'
PWD = `//e/work/dev/tst/jmake'

!C: = `C:\bin'
!H: = `H:\'
CLASSPATH = `.;e:/work/dev/packages;e:/ProgramFiles/java/jswdk-1.0.1/lib/servlet.jar;c:/inprise/vbroker/lib/vbjorb.jar;c:/inpris
e/vbroker/lib/vbjcosnm.jar;c:/inprise/vbroker/lib/vbcpp.jar'
COMPUTERNAME = `DBLON10747'
COMSPEC = `C:\WINNT\system32\cmd.exe'
CSG_CACHESIZE = `100'
DBBUILDDOMAIN = `LON'
DBBUILDLANGUAGE = `USE'
DBBUILDNUMBER = `1211'
DBBUILDPCMODEL = `CPQAP400'
DBBUILDPCTYPE = `DESKTOP'
DBBUILDTITLE = `NT4 BUILD VERSION 1.2 Y2Kb'
DBBUILDVERSION = `1.2'
DEBUG = `off'
DEV_ROOT = `/e/work/dev'
EDITOR = `emacs'
ENV_DEV = `msd'
ENV_OS = `win32'
ENV_ROOT = `/e/work/env'
GRT_TRACE = `CSGImpl::initialise,CSGImpl::generate'
HOMEDRIVE = `H:'
HOMEPATH = `\'
HOMESHARE = `\\LONDATA30\maceia$'
HOSTNAME = `DBLON10747'
HOSTTYPE = `i586'
HSG_ROOT = `E:\work\dev\csg'
INCLUDE = `C:\Program Files\Microsoft Visual Studio\VC98\atl\include;C:\Program Files\Microsoft Visual Studio\VC98\mfc\include;C
:\Program Files\Microsoft Visual Studio\VC98\include'
IOR_PATH = `W:\ior\'
JAVA_ROOT = `e:\programfiles\java\jdk1.2.2'
LIB = `C:\Program Files\Microsoft Visual Studio\VC98\mfc\lib;C:\Program Files\Microsoft Visual Studio\VC98\lib'
LOGONSERVER = `\\DB12'
MACHTYPE = `i586-pc-cygwin32'
MSDEVDIR = `C:\Program Files\Microsoft Visual Studio\Common\MSDev98'
MSINPUT = `C:\Program Files\Microsoft Hardware'
NTRESKIT = `C:\win32app\ADMIN\ntreskit'
NUMBER_OF_PROCESSORS = `2'
OLDPWD = `/usr/bin'
OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
OS = `Windows_NT'
OSTYPE = `cygwin32'
PATHEXT = `.COM;.EXE;.BAT;.CMD;.VBS;.JS'
PKG = `/e/work/env/pkg'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_IDENTIFIER = `x86 Family 6 Model 5 Stepping 2, GenuineIntel'
PROCESSOR_LEVEL = `6'
PROCESSOR_REVISION = `0502'
PROMPT = `$P$G'
SHELL = `/bin/sh'
SHLVL = `1'
SYBASE = `C:\Program Files\sybase'
SYSLOC = `5acre.lon.uk.eu'
SYSTEMDRIVE = `C:'
SYSTEMROOT = `C:\WINNT'
TEMP = `C:\TEMP'
TERM = `cygwin'
TMP = `C:\TEMP'
TOMCAT_HOME = `E:\ProgramFiles\java\jakarta-tomcat'
USERDOMAIN = `DB'
USERNAME = `maceia'
USERPROFILE = `C:\WINNT\Profiles\maceia'
UT_Assert = `1'
UT_ROOT = `//D/work/env/UT'
UT_Trace = `traceall'
VBROKERPATH = `C:\Inprise\vbroker'
VBROKER_ROOT = `c:\inprise\vbroker'
VISUAL = `emacs'
WINDIR = `C:\WINNT'
WORK_ROOT = `/e/work'
_ = `/bin/cygcheck'
history = `51'
pkg_UT = `1'
pkg_env = `1'
pkg_java = `1'
TZ = `GMT0BST-1,M3.5.0/2,M10.5.0/3'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000020
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `C:\'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/c
  (default) = `c:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/d
  (default) = `d:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/dev/fd0
  (default) = `\\.\a:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/dev/fd1
  (default) = `\\.\b:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/dev/st0
  (default) = `\\.\tape0:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/dev/st1
  (default) = `\\.\tape1:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/e
  (default) = `e:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/r
  (default) = `r:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `C:\bin'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `C:\lib'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/w
  (default) = `w:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Start Menu\&Programs\Cygnus Solutions
  (default) = (unsupported type)
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Start Menu\&Programs\Cygnus Solutions\Menu
  (default) = (unsupported type)
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Installed Components
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Installed Components\C:/
  (default) = `0002.0004'
  bc = `0001.0005'
  binutils = `19990818.0001'
  cygwin = `0001.0001.0001'
  diff = `0000'
  fileutils = `0000'
  findutils = `0000'
  grep = `0000'
  groff = `0001.011a.0001'
  gzip = `0000'
  less = `0000'
  make = `0000'
  man = `0001.005g.0002'
  shellutils = `0000'
  tar = `0000'
  textutils = `0000'
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin B20
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin B20\B20.1

a:  fd           N/A    N/A
c:  hd  NTFS    4055Mb  75% CP CS UN PA FC     DBWKS
d:  hd  NTFS     596Mb  41% CP CS UN PA FC     Archive
e:  hd  NTFS    3498Mb  73% CP CS UN PA FC     Data
f:  net NTFS   50007Mb  22% CP CS UN PA FC     DDrive
h:  net NTFS   122879Mb  28% CP CS UN PA FC     EDrive
j:  net NTFS   107881Mb  96% CP CS UN PA FC     LONC04_F
m:  cd  CDFS       0Mb -2147483548%    CS              Audio CD
r:  net NTFS    8032Mb  54% CP CS UN PA FC     DBWKS
s:  net NTFS    2224Mb  94%          PA        GRTssafe
w:  net NTFS    3498Mb  73% CP CS UN PA FC     Data
x:  net NTFS   67371Mb  64% CP CS UN PA FC     Ddrive

\\.\tape0:  /dev/st0  user    textmode
\\.\tape1:  /dev/st1  user    textmode
\\.\a:  /dev/fd0  user    textmode
\\.\b:  /dev/fd1  user    textmode
C:\bin  /usr/bin  user    binmode
C:\lib  /usr/lib  user    binmode
C:    /        user    binmode
c:    /c       user    textmode
d:    /d       user    textmode
e:    /e       user    textmode
r:    /r       user    textmode
w:    /w       user    textmode

Found: C:\bin\bash.exe
Found: C:\bin\cat.exe
Not Found: cpp (good!)
Found: C:\bin\find.exe
Not Found: gcc
Not Found: gdb
Found: C:\bin\ld.exe
Found: C:\bin\ls.exe
Found: C:\bin\make.exe
Found: C:\bin\sh.exe

  569k 2000/05/15 C:\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2000/5/15 4:48
Use -h to see help about each section

--
Want to unsubscribe from this list?
Send a message to [email-masked]